#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xf86-video-intel
Version		:	20230223
Release		:	17.2.0.rel%{?dist}
Summary		: 	Ppen-source X.org graphics driver for Intel graphics
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/pub/individual/driver/
			#http://anduin.linuxfromscratch.org/BLFS/xf86-video-intel

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	libtool
BuildRequires	:	pixman
BuildRequires	:	xrandr
BuildRequires	:	xorg-libXcursor
BuildRequires	:	xorg-libXdamage
BuildRequires	:	xorg-libXext
BuildRequires	:	xorg-libXfixes
BuildRequires	:	xorg-libXrender
BuildRequires	:	xorg-libXScrnSaver
BuildRequires	:	xorg-libXtst
BuildRequires	:	xorg-libXv
BuildRequires	:	xorg-libXvMC
BuildRequires	:	xorg-server
BuildRequires	:	xorg-util-macros
#-----------------------------------------------------------------------------
%description
The xf86-video-intel module is an open-source 2D graphics driver for
the X Window System as implemented by X.org. It supports a variety of
Intel graphics chipsets including:

        i810/i810e/i810-dc100,i815,
        i830M,845G,852GM,855GM,865G,
        915G/GM,945G/GM/GME,946GZ
        G/GM/GME/Q965,
        G/Q33,G/Q35,G41,G/Q43,G/GM/Q45
        PineView-M (Atom N400 series)
        PineView-D (Atom D400/D500 series)
        Intel(R) HD Graphics,
        Intel(R) Iris(TM) Graphics,
        Intel(R) Iris(TM) Pro Graphics.

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

./autogen.sh						\
	$XORG_CONFIG					\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-kms-only				\
	--enable-uxa					\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

#To remove libtool library
find 								\
	%{buildroot}%{_libdir}					\
	-name \*.la						\
	-delete

%{__mkdir_p}							\
	%{buildroot}%{_sysconfdir}/X11/xorg.conf.d		\
	%{buildroot}%{_mandir}/man1

%{__mv}								\
	%{buildroot}%{_mandir}/man4/intel-virtual-output.4 	\
	%{buildroot}%{_mandir}/man1/intel-virtual-output.1 	\

sed -i								\
  -e "/\.TH/s/4/1/"						\
  %{buildroot}%{_mandir}/man1/intel-virtual-output.1 	\

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/intel-virtual-output
%{_libdir}/xorg/modules/drivers/intel_drv.so
%{_libdir}/libIntelXvMC.so*
%{_libexecdir}/%{name}-backlight-helper
%{_datadir}/polkit-1/actions/org.x.%{name}.backlight-helper.policy
%{_mandir}/man4/*.4.gz
%{_mandir}/man1/*.1.gz

%pre

#after upgrade or remove
%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
